Loading...
Searching...
No Matches
juce::DefaultElementComparator< ElementType > Class Template Reference

`#include <juce_ElementComparator.h>`

## Static Public Member Functions

static int | compareElements (ParameterType first, ParameterType second)

## Detailed Description

template<class ElementType>
class juce::DefaultElementComparator< ElementType >

A simple ElementComparator class that can be used to sort an array of objects that support the '<' operator.

This will work for primitive types and objects that implement operator<().

Example:

Array<int> myArray;
DefaultElementComparator<int> sorter;
myArray.sort (sorter);
juce::Array
Definition juce_Array.h:56
juce::Array::sort
void sort()
Definition juce_Array.h:1051
juce::DefaultElementComparator
Definition juce_ElementComparator.h:185

See also
  ElementComparator

Definition at line 184 of file juce_ElementComparator.h.

## Member Function Documentation

## compareElements()

template<class ElementType>

int juce::DefaultElementComparator< ElementType >::compareElements | ( | ParameterType | first,
|  | ParameterType | second )

inline static

Definition at line 190 of file juce_ElementComparator.h.

The documentation for this class was generated from the following file:

- juce_ElementComparator.h